> For the complete documentation index, see [llms.txt](https://docs.cubu.com/guides/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cubu.com/guides/technical-guide/webhooks/webhooks-reference/service-webhooks/after-start-work.md).

# After Start Work

## Overview <a href="#overview" id="overview"></a>

This webhook is called after an agent has started working on the case.

<mark style="color:orange;background-color:yellow;">DEC 2024 B Release</mark>

## API <a href="#api" id="api"></a>

### URL <a href="#url" id="url"></a>

```
[base-url]/service/actions/startWork
```

### Request Body <a href="#request-body" id="request-body"></a>

The webhook receives the following input:

* **caseId**: The case ID to be created.
* **parentCaseId:** The parent case ID (when applicable).
* **referenceDate**: The case’s reference date.
* **unitId**: The ID of the service’s parent unit.
* **serviceId**: The service used for creating the case.
* **serviceCategoryId:** Service category ID.
* **serviceTypeId:** Service type ID.
* **status:** The case’s target status (Pending/Waiting).
* **channel:** Communication channel (Face-to-face, Video, etc.).
* **language:** The preferred communication language.
* **ticket:** The ticket number
  * **prefix**
  * **number**
  * **suffix**
* **fields:** A Dictionary of `fieldTypeId` + `fieldValue` pairs.
* **tagIds:** An array of tag IDs (for future use).
* **customerRecordId**: The ID of the customer record linked to the case.
* **useCustomerContactInfo (bool):** Indicates whether the linked customer record's contact information (phone number and email) is used as this case's contact information.&#x20;
* **contactPhoneNumber**: The case's contact phone number&#x20;
* **contactEmail**: The case's contact email&#x20;
* **lockedByUserId**: The ID of the user working on the case.
* **lockedByUserEmail**: the email address of the user working on the case.
* **appointment**
  * **date**: The appointment date
  * **cuIndex**: The calendar index (“Capacity Unit Index”)
  * **start**: The appointment start time (number of minutes past midnight).
  * **timeLocal**: The appointment’s date and time in the service’s time zone.
  * **timeUtc**: The appointment’s date and time in the UTC zone.
  * **timeZoneId**: The appointment’s service time zone.
  * **duration**: The appointment duration (in minutes).
  * **preventSelfCheckIn**: A boolean value indicating whether the customer can check in to this appointment using the kiosk.

### Response Body <a href="#response-body" id="response-body"></a>

This webhook does not return data.

&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cubu.com/guides/technical-guide/webhooks/webhooks-reference/service-webhooks/after-start-work.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
